# $Revision: 1.10 $, $Date: 2012/01/14 19:49:18 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Mail
%define		pnam	GnuPG
Summary:	Mail::GnuPG - Process email with GPG
Summary(pl.UTF-8):	Mail::GnuPG - przetwarzanie poczty elektronicznej przy użyciu GPG
Name:		perl-Mail-GnuPG
Version:	0.17
Release:	1
License:	GPL v2 or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Mail/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	b6c94307bcac31a4f6c7a47aa8065bd9
URL:		http://search.cpan.org/dist/Mail-GnuPG/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-GnuPG-Interface
BuildRequires:	perl-MIME-tools
BuildRequires:	perl-MailTools
BuildRequires:	perl-Test-Simple
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Use GnuPG::Interface to process or create PGP signed or encrypted
email.

%description -l pl.UTF-8
GnuPG::Interface służy do przetwarzania i tworzenia podpisanej lub
zaszyfrowanej PGP poczty elektronicznej.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Build.PL \
	installdirs=vendor \
	destdir=$RPM_BUILD_ROOT

./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Mail/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Mail-GnuPG.spec,v $
Revision 1.10  2012/01/14 19:49:18  zbyniu
- up to 0.17

Revision 1.9  2008/04/05 18:44:41  qboosh
- generic URL

Revision 1.8  2008-04-02 09:00:40  arekm
- up to 0.15

Revision 1.7  2007/02/13 07:47:12  glen
- tabs in preamble

Revision 1.6  2007/02/12 00:49:38  baggins
- converted to UTF-8

Revision 1.5  2004/11/03 22:30:32  paladine
- formatting

Revision 1.4  2004/11/03 13:05:26  paladine
- spaces->tabs

Revision 1.3  2004/08/24 22:02:54  qboosh
- pl

Revision 1.2  2004/08/24 15:20:43  radek
- release 2: changed perl(...) to package names in BR

Revision 1.1  2004/08/24 15:07:30  radek
- new
